Method: projects.locations.backupCollections.backups.export

將特定備份匯出至客戶目標 Cloud Storage URI。

HTTP 要求


POST https://memorystore.googleapis.com/v1alpha/{name=projects/*/locations/*/backupCollections/*/backups/*}:export

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,執行個體備份資源名稱,格式為:projects/{projectId}/locations/{locationId}/backupCollections/{backup_collection_id}/backups/{backupId}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsBucket": string
  // End of mutually exclusive fields.
}
欄位
這是必要旗標,指定匯出備份資料的目的地。以下列出互斥欄位。回應中最多會設定一個欄位:
gcsBucket

string

Google Cloud Storage bucket,例如「my-bucket」。

互斥欄位的結尾。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM 權限

需要 name 資源的下列 IAM 權限:

  • memorystore.backups.export

詳情請參閱 IAM 說明文件。